package gotowe.p12_dziedziczenie.a_podstawy;

class Konto {
    int numer;
    int saldo;
    Osoba wlasciciel;

    Konto(int numer, int saldo, Osoba wlasciciel) {
        this.numer = numer;
        this.saldo = saldo;
        this.wlasciciel = wlasciciel;
    }

    @Override
    public String toString() {
        return "Konto nr " + numer + ", saldo: " + saldo + ", wł.: " + wlasciciel;
    }

    void wplata(int kwota) {
        saldo += kwota;
    }

    void wyplata(int kwota) {
        saldo -= kwota;
    }

    void przelew(Konto kontoDocelowe, int kwota) {
        this.saldo -= kwota;
        kontoDocelowe.saldo += kwota;
    }

}
